| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
ext/vector_relational.hpp File Reference

GLM_EXT_vector_relational More...

Go to the source code of this file.

## Functions
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL bool | equal (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, T const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y, vec< L, T, Q > const &epsilon)
| Returns the component-wise comparison of |x - y| < epsilon. More...
template<typename genType >
GLM_FUNC_DECL bool | notEqual (genType const &x, genType const &y, genType const &epsilon)
| Returns the component-wise comparison of |x - y| >= epsilon. More...

## Detailed Description

GLM_EXT_vector_relational

See also
  Core features (dependence)

Definition in file ext/vector_relational.hpp.